Loading...
Searching...
No Matches
EmbeddedFrag.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/types.h>`
`#include <Geometry/Transform2D.h>`
`#include <Geometry/point.h>`
`#include "DepictUtils.h"`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDDepict::EmbeddedAtom
| Class that contains the data for an atoms that has already been embedded. More...
class | RDDepict::EmbeddedFrag
| Class containing a fragment of a molecule that has already been embedded. More...

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDDepict

## Typedefs

typedef boost::shared_array< double > | RDDepict::DOUBLE_SMART_PTR
typedef std::map< unsigned int, EmbeddedAtom > | RDDepict::INT_EATOM_MAP
typedef INT_EATOM_MAP::iterator | RDDepict::INT_EATOM_MAP_I
typedef INT_EATOM_MAP::const_iterator | RDDepict::INT_EATOM_MAP_CI